Kubernetes
probe Node

# nodes_must_be_healthy

Verify a set of conditions against a set of nodes: * FrequentKubeletRestart must be False * FrequentDockerRestart must be False * FrequentContainerdRestart must be False * ReadonlyFilesystem must be False * KernelDeadlock must be False * CorruptDockerOverlay2 must be False * FrequentUnregisterNetDevice must be False * NetworkUnavailable must be False * FrequentKubeletRestart must be False * MemoryPressure must be False * DiskPressure must be False * PIDPressure must be False * Ready must be True

Run it now
View details

Type | probe
Module | chaosk8s.node.probes
Name | nodes_must_be_healthy
Return | boolean

Usage

JSON

    {
      "name": "verify-nodes-condition",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.probes",
        "func": "nodes_must_be_healthy"
      }
    }

YAML

    name: verify-nodes-condition
    provider:
      func: nodes_must_be_healthy
      module: chaosk8s.node.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
label_selector | string |  | No | Label Selector | Target a subset of all the nodes only

Retrieve all nodes conditions and statuses.

Signature

    def nodes_must_be_healthy(
            label_selector: str = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Kubernetes
  action Node

  ## `create_node`

  Create one new node in the cluster
- Kubernetes
  probe Node

  ## `all_nodes_must_be_ready_to_schedule`

  Verifies that all nodes in the cluster are in Ready condition and can be scheduled.
- Kubernetes
  action Node

  ## `cordon_node`

  Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer